# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_refreshregistrypolicy`](#dsc_refreshregistrypolicy): The DSC RefreshRegistryPolicy resource type. Automatically generated from version 1.3.1
* [`dsc_registrypolicyfile`](#dsc_registrypolicyfile): The DSC RegistryPolicyFile resource type. Automatically generated from version 1.3.1

## Resource types

### <a name="dsc_refreshregistrypolicy"></a>`dsc_refreshregistrypolicy`

The DSC RefreshRegistryPolicy resource type.
Automatically generated from version 1.3.1

#### Properties

The following properties are available in the `dsc_refreshregistrypolicy` type.

##### `dsc_path`

Data type: `Optional[String]`

Returns the path of the RefreshRequired property indicating a group policy refresh is needed.

##### `dsc_refreshrequiredkey`

Data type: `Optional[String]`

Returns the value of the GPRegistryPolicy key indicating a group policy refresh is needed.

#### Parameters

The following parameters are available in the `dsc_refreshregistrypolicy` type.

* [`dsc_issingleinstance`](#-dsc_refreshregistrypolicy--dsc_issingleinstance)
* [`dsc_psdscrunascredential`](#-dsc_refreshregistrypolicy--dsc_psdscrunascredential)
* [`name`](#-dsc_refreshregistrypolicy--name)
* [`validation_mode`](#-dsc_refreshregistrypolicy--validation_mode)

##### <a name="-dsc_refreshregistrypolicy--dsc_issingleinstance"></a>`dsc_issingleinstance`

namevar

Data type: `Enum['Yes', 'yes']`

Specifies the resource is a single instance, the value must be 'Yes'

##### <a name="-dsc_refreshregistrypolicy--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_refreshregistrypolicy--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_refreshregistrypolicy--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_registrypolicyfile"></a>`dsc_registrypolicyfile`

The DSC RegistryPolicyFile resource type.
Automatically generated from version 1.3.1

#### Properties

The following properties are available in the `dsc_registrypolicyfile` type.

##### `dsc_accountname`

Data type: `Optional[String]`

Specifies the name of the account for an user specific pol file to be managed.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Specifies the desired state of the registry policy. When set to 'Present', the registry policy will be created. When set to 'Absent', the registry policy will be removed. Default value is 'Present'.

##### `dsc_path`

Data type: `Optional[String]`

Returns the path to the pol file being managed.

##### `dsc_targettype`

Data type: `Enum['ComputerConfiguration', 'computerconfiguration', 'UserConfiguration', 'userconfiguration', 'Administrators', 'administrators', 'NonAdministrators', 'nonadministrators', 'Account', 'account']`

Indicates the target type. This is needed to determine the .pol file path. Supported values are ComputerConfiguration, UserConfiguration, Administrators, NonAdministrators, and Account.

##### `dsc_valuedata`

Data type: `Optional[Array[String]]`

The data for the registry value.

##### `dsc_valuetype`

Data type: `Optional[Enum['Binary', 'binary', 'Dword', 'dword', 'ExpandString', 'expandstring', 'MultiString', 'multistring', 'Qword', 'qword', 'String', 'string', 'None', 'none']]`

Indicates the type of the value.

#### Parameters

The following parameters are available in the `dsc_registrypolicyfile` type.

* [`dsc_key`](#-dsc_registrypolicyfile--dsc_key)
* [`dsc_psdscrunascredential`](#-dsc_registrypolicyfile--dsc_psdscrunascredential)
* [`dsc_valuename`](#-dsc_registrypolicyfile--dsc_valuename)
* [`name`](#-dsc_registrypolicyfile--name)
* [`validation_mode`](#-dsc_registrypolicyfile--validation_mode)

##### <a name="-dsc_registrypolicyfile--dsc_key"></a>`dsc_key`

namevar

Data type: `String`

Indicates the path of the registry key for which you want to ensure a specific state.

##### <a name="-dsc_registrypolicyfile--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_registrypolicyfile--dsc_valuename"></a>`dsc_valuename`

namevar

Data type: `String`

Indicates the name of the registry value.

##### <a name="-dsc_registrypolicyfile--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_registrypolicyfile--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

